<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 10/08/2018
 * Time: 09:54
 */

namespace MedievalInc\Quadratic;


class Quadratic
{
    public function __construct()
    {

    }

    /**
     * @param float $a
     * @param float $b
     * @param float $c
     * @return array
     */
    public function solve(float $a, float $b, float $c) : array {

        $delta = $b*$b - 4*$a*$c;

        if ($delta > 0) {

            $x1 = (-$b - sqrt($delta)) / (2*$a);
            $x2 = (-$b + sqrt($delta)) / (2*$a);

            return [$x1, $x2];
        }

        return [];
    }
}